rules: Use dh_autotools-dev* to update config.{sub,guess}.
[libmpdclient-debian.git] / debian / changelog
1 libmpdclient (2.9-1) UNRELEASED; urgency=low
2
3   * New upstream release (Closes: #671094).
4   * debian/libmpdclient-dev.install:
5     - Install the vapi file.
6   * debian/libmpdclient2.symbols:
7     - Updated for new upstream version.
8   * debian/rules:
9     - Split build target into build-arch and build-indep.
10     - Use dpkg-buildflags to get CPPFLAGS and CFLAGS.
11     - Use dh_autotools-dev* to update config.{sub,guess}; thanks to Matthias
12       Klose for reporting and suggesting this (Closes: #727416).
13   * debian/control:
14     - Updated standards-version to 3.9.4.
15
16  -- Sebastian Harl <tokkee@debian.org>  Sat, 23 Nov 2013 19:53:49 +0100
17
18 libmpdclient (2.3-1) unstable; urgency=low
19
20   * New upstream release.
21     - Do not try to install GIF files from doc/api/html/ if none are available
22       (doxygen no longer creates any GIF files since version 1.7 or so)
23       (Closes: #590397).
24   * debian/control:
25     - Updated standards-version to 3.9.1 -- no changes.
26   * debian/libmpdclient2.symbols:
27     - Updated for 2.3.
28
29  -- Sebastian Harl <tokkee@debian.org>  Thu, 29 Jul 2010 20:39:38 +0200
30
31 libmpdclient (2.2-1) unstable; urgency=low
32
33   * New upstream release.
34   * debian/libmpdclient2.symbols:
35     - Updated for 2.2.
36   * debian/control:
37     - Updated to standards-version 3.8.4 -- no changes.
38     - Let all packages depend on ${misc:Depends}, as suggested by debhelper.
39   * debian/rules:
40     - Let dh_makeshlibs create a dependency on libmpdclient2 >= 2.2, which is
41       required since new functionality has been added.
42
43  -- Sebastian Harl <tokkee@debian.org>  Wed, 09 Jun 2010 18:44:12 +0200
44
45 libmpdclient (2.1-1) unstable; urgency=low
46
47   * New upstream release.
48   * debian/libmpdclient2.symbols:
49     - Updated for 2.1.
50   * debian/rules:
51     - Run 'make check' unless the nocheck option has been specified in
52       DEB_BUILD_OPTIONS.
53
54  -- Sebastian Harl <tokkee@debian.org>  Sun, 27 Dec 2009 00:09:08 +0100
55
56 libmpdclient (2.0-1) unstable; urgency=low
57
58   * Initial release (Closes: #549646).
59
60  -- Sebastian Harl <tokkee@debian.org>  Thu, 22 Oct 2009 00:51:34 +0200
61